Bug 1348962 - ganesha/scripts : copy modified export file during refresh-config
Summary: ganesha/scripts : copy modified export file during refresh-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: common-ha
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Jiffin
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On: 1348949
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-06-22 12:18 UTC by Jiffin
Modified: 2017-03-23 05:38 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-23 05:38:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Jiffin 2016-06-22 12:18:30 UTC
Description of problem:

Right now the when a ./ganesha.-ha.sh --refresh config  the modified export configuration file will be moved only to the nodes in ganesha cluster

Comment 3 Jiffin 2016-09-16 10:01:22 UTC
Upstream patch http://review.gluster.org/#/c/14909/

Comment 4 Jiffin 2016-09-16 10:06:24 UTC
Downstream patch https://code.engineering.redhat.com/gerrit/#/c/84779/

Comment 5 Jiffin 2016-09-16 12:49:16 UTC
The fix is now available in glusterfs 3.2 rebase

Comment 8 Arthy Loganathan 2016-11-15 10:43:17 UTC
Verified the fix in nfs-ganesha-gluster-2.4.1-1.el7rhgs.x86_64, glusterfs-ganesha-3.8.4-5.el7rhgs.x86_64 build.

With the latest build, all the export configurations are maintained in gluster_shared_storage.

Comment 10 errata-xmlrpc 2017-03-23 05:38:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.